summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorJames Bottomley <JBottomley@Parallels.com>2015-01-25 11:00:14 -0800
committerJames Bottomley <JBottomley@Parallels.com>2015-01-25 11:00:14 -0800
commitc3625bea8dd1197742b6447ca17300f45810e3f1 (patch)
treef95c82f965397d8a9e6ad7c5df0ad466e558c878
parente6873827a21b7b6549591b2fc48d5b30a6df9864 (diff)
downloadQuark_EDKII-c3625bea8dd1197742b6447ca17300f45810e3f1.tar.gz
Stop build script if build fails
Signed-off-by: James Bottomley <JBottomley@Parallels.com>
-rw-r--r--build.sh2
1 files changed, 1 insertions, 1 deletions
diff --git a/build.sh b/build.sh
index dba78ad..51ff08e 100644
--- a/build.sh
+++ b/build.sh
@@ -41,7 +41,7 @@ flags="-DDEBUG_PRINT_ERROR_LEVEL=0x80000042 -DDEBUG_PROPERTY_MASK=0x27"
##
# You probably have gcc 4.8 or 4.9, but this doesn't seem to matter
toolchain=GCC47
-build -a IA32 -b ${type} -y Report.log -t ${toolchain} -p QuarkPlatformPkg/QuarkPlatformPkg.dsc ${flags} -DSECURE_BOOT
+build -a IA32 -b ${type} -y Report.log -t ${toolchain} -p QuarkPlatformPkg/QuarkPlatformPkg.dsc ${flags} -DSECURE_BOOT || exit 1
# finally, the spi flash tools are going to need the capsule creator, so build it
make -C QuarkPlatformPkg/Tools/CapsuleCreate
#